
D4Science Infrastructure - Incident #12944

Error Connecting on rstudio2.d4science.org

Nov 27, 2018 11:53 AM - Massimiliano Assante

Status: Closed Start date: Nov 27, 2018

Priority: High Due date: Nov 27, 2018

Assignee: Roberto Cirillo % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

When connecting on https://rstudio2.d4science.org/r-connector/gcube/service/connect?gcube-token=0deee49b-****** i get logout out

immediately, see screenshot 

Related issues:

Related to D4Science Infrastructure - Task #12949: Provide a cronjob for avoi... Closed Nov 27, 2018

Related to StocksAndFisheriesKB - Task #12861: Purge old records of the publi... Closed Nov 12, 2018

History

#1 - Nov 27, 2018 12:11 PM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

Please could you provide the VRE you are using?

#2 - Nov 27, 2018 12:15 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

#3 - Nov 27, 2018 12:48 PM - Massimiliano Assante

AnalyticsLab

#4 - Nov 27, 2018 03:10 PM - Roberto Cirillo

- Status changed from Feedback to In Progress

- Assignee changed from Massimiliano Assante to Roberto Cirillo

I've tried to reset your user's state but nothing change. I see a strange error on system logs, I'm going to investigate:

Nov 27 14:48:33 rstudio2 rserver[4071]: message repeated 19 times: [ ERROR system error 13 (Permission denied)

 [request-uri=/mathjax/MathJax.js?config=TeX-MML-AM_CHTML]; OCCURRED AT: void rstudio::server::session_proxy::

{anonymous}::proxyRequest(const rstudio::core::r_util::SessionContext&, boost::shared_ptr<rstudio::core::http:

:AsyncConnection>, const ErrorHandler&, const rstudio::core::http::ConnectionRetryProfile&) /home/ubuntu/rstud

io/src/cpp/server/ServerSessionProxy.cpp:576; CAUSED BY: ERROR system error 13 (Permission denied) [user-value

=massimiliano.assante]; OCCURRED AT: rstudio::core::Error rstudio::core::system::user::{anonymous}::userFrom(c

onst boost::function<int(T, passwd*, char*, long unsigned int, passwd**)>&, T, rstudio::core::system::user::Us

er*) [with T = const char*] /home/ubuntu/rstudio/src/cpp/core/system/PosixUser.cpp:107; LOGGED FRO]

Nov 27 14:53:38 rstudio2 rserver[4071]: ERROR system error 13 (Permission denied) [user-value=sgiorgis]; OCCUR

RED AT: rstudio::core::Error rstudio::core::system::user::{anonymous}::userFrom(const boost::function<int(T, p

asswd*, char*, long unsigned int, passwd**)>&, T, rstudio::core::system::user::User*) [with T = const char*] /

home/ubuntu/rstudio/src/cpp/core/system/PosixUser.cpp:107; LOGGED FROM: std::string rstudio::server::pam_auth:

:{anonymous}::userIdentifierToLocalUsername(const string&) /home/ubuntu/rstudio/src/cpp/server/ServerPAMAuth.c

pp:175

Nov 27 14:53:38 rstudio2 rserver[4071]: ERROR system error 13 (Permission denied) [request-uri=/mathjax/MathJa

x.js?config=TeX-MML-AM_CHTML]; OCCURRED AT: void rstudio::server::session_proxy::{anonymous}::proxyRequest(con

st rstudio::core::r_util::SessionContext&, boost::shared_ptr<rstudio::core::http::AsyncConnection>, const Erro

rHandler&, const rstudio::core::http::ConnectionRetryProfile&) /home/ubuntu/rstudio/src/cpp/server/ServerSessi

onProxy.cpp:576; CAUSED BY: ERROR system error 13 (Permission denied) [user-value=sgiorgis]; OCCURRED AT: rstu

dio::core::Error rstudio::core::system::user::{anonymous}::userFrom(const boost::function<int(T, passwd*, char

*, long unsigned int, passwd**)>&, T, rstudio::core::system::user::User*) [with T = const char*] /home/ubuntu/

rstudio/src/cpp/core/system/PosixUser.cpp:107; LOGGED FROM: void rstudio::server::session_proxy::{anonymous}::
logIfNotConnectionTerminated(const rstudio::core::Error&, const rstudio::core::http::Request&) /home/ubuntu/rs

tudio/src/cpp/server/ServerSessionProxy.cpp:369

#5 - Nov 27, 2018 03:59 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#7 - Nov 27, 2018 04:40 PM - Roberto Cirillo

- Related to Task #12949: Provide a cronjob for avoiding ldap problem on rstudio instances added

#8 - Dec 06, 2018 11:15 AM - Luca Frosini

- Related to Task #12861: Purge old records of the public GRSF Catalogue added

Files

Screenshot 2018-11-27 at 11.51.33.png 87.4 KB Nov 27, 2018 Massimiliano Assante
